Bug 166968 - Build fails if hostname contains a '-' character
Build fails if hostname contains a '-' character
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 01:57 EDT by Robert Nichols
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-24 01:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-08-29 01:57:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
The new "better identify of local builds" feature causes the build to fail
if the build is performed on a system whose hostname contains the '-' character.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1376_FC3

How reproducible:
Always

Steps to Reproduce:
1. On a system whose hostname contains a '-' character, install the
   kernel-2.6.12-1.1376_FC3.src.rpm .
2. From the buildroot directory, run "rpmbuild -bp --target=i686 \
   SPECS/kernel-2.6.spec

  

Actual Results:  The build fails with an error message like:

error: line 148: Illegal char '-' in release: Release: 1.1376_FC3.rnichols@omega-3a


Expected Results:  The build should not fail.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.